%define version 2.26.0
%define release %mkrel 3

%define major	1
%define api_version 2.6

%define glibmm_version 2.22.1
%define gnome-vfs_version 2.24.0

%define pkgname gnome-vfsmm
%define libname		%mklibname %pkgname %api_version %{major}
%define libname_orig	%mklibname %pkgname %api_version

Name:	 	%{pkgname}%{api_version}
Summary: 	A C++ interface for GNOME VFS library
Version: 	%version
Release: 	%release
License: 	LGPL
Group:   	System/Libraries
Source:  	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
URL:     	http://gtkmm.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gnome-vfs2-devel >= %{gnome-vfs_version}
BuildRequires:	glibmm2.4-devel >= %{glibmm_version}
BuildRequires:	doxygen
Obsoletes:  %name < %version

%description
This package provides a C++ interface for gnome-vfs (the GNOME
Virtual File System), which provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is a subpackage of the gnomemm project,
which provides a C++ interface for GNOME libraries.

%package	-n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}
Requires:	gnome-vfs2
Requires:	glibmm2.4


%description	-n %{libname}
This package provides a C++ interface for gnome-vfs (the GNOME
Virtual File System), which provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is a subpackage of the gnomemm project,
which provides a C++ interface for GNOME libraries.


%package	-n %{libname}-devel
Summary:	Headers and development files of GNOME VFS C++ wrapper
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	gnome-vfs2-devel
Requires:	glibmm2.4-devel

%description -n %{libname}-devel
This package contains the headers and various development files needed,
when compiling or developing programs which want C++ wrapper of GNOME
VFS library.

%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Documentation

%description doc
This package provides API documentation of %{pkgname} library.


%prep
%setup -q -n %pkgname-%version

%build
%configure2_5x --enable-static
%make 

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot/%{_libdir}/*.la


%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so

%files doc
%defattr(-, root, root)
%doc docs/reference/html

%changelog
* Thu Nov 07 2013 billybot <billybot> 2.26.0-3pclos2013
- update for new pcre
- convert to tar.xz
- remove .la files

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.26.0-2pclos2010
- system rebuild

* Wed Oct 07 2009 slick50 <lxgator@gmail.com> 2.26.0-1pclos2010
- 2.26.0

* Fri Dec 19 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.24.0-3pclos2007
- Rebuild for updated gnomevfs2

* Wed Dec 10 2008 Gettinther <gettinther@gmail.com> 2.24.0-2pclos2007
- Add explicit Requires

* Mon Oct 27 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.24.0-1pclos2007
- New version 2.24.0

* Sun Sep 02 2007 Texstar <texstar@gmail.com> 2.18.0-1pclos2007
- 2.18.0

* Mon Oct 30 2006 Texstar <texstar@houston.rr.com> 2.16.0-2pclos2007
- Build for PCLinuxOS 2007 

